# encoding: UTF-8
# This file is auto-generated from the current state of the database. Instead
# of editing this file, please use the migrations feature of Active Record to
# incrementally modify your database, and then regenerate this schema definition.
#
# Note that this schema.rb definition is the authoritative source for your
# database schema. If you need to create the application database on another
# system, you should be using db:schema:load, not running all the migrations
# from scratch. The latter is a flawed and unsustainable approach (the more migrations
# you'll amass, the slower it'll run and the greater likelihood for issues).
#
# It's strongly recommended that you check this file into your version control system.

ActiveRecord::Schema.define(version: 20170911133318) do

  create_table "architectures", force: :cascade do |t|
    t.string   "name",       limit: 255, null: false
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "architectures_operatingsystems", id: false, force: :cascade do |t|
    t.integer "architecture_id",    null: false
    t.integer "operatingsystem_id", null: false
  end

  create_table "audits", force: :cascade do |t|
    t.integer  "auditable_id"
    t.string   "auditable_type",  limit: 255
    t.integer  "user_id"
    t.string   "user_type",       limit: 255
    t.string   "username",        limit: 255
    t.string   "action",          limit: 255
    t.text     "audited_changes"
    t.integer  "version",                     default: 0
    t.string   "comment",         limit: 255
    t.integer  "associated_id"
    t.string   "associated_type", limit: 255
    t.string   "request_uuid",    limit: 255
    t.datetime "created_at"
    t.string   "remote_address",  limit: 255
    t.text     "auditable_name",  limit: 255
    t.string   "associated_name", limit: 255
  end

  add_index "audits", ["associated_id", "associated_type"], name: "associated_index"
  add_index "audits", ["associated_id", "associated_type"], name: "auditable_parent_index"
  add_index "audits", ["auditable_id", "auditable_type"], name: "auditable_index"
  add_index "audits", ["created_at"], name: "index_audits_on_created_at"
  add_index "audits", ["id"], name: "index_audits_on_id"
  add_index "audits", ["request_uuid"], name: "index_audits_on_request_uuid"
  add_index "audits", ["user_id", "user_type"], name: "user_index"

  create_table "auth_sources", force: :cascade do |t|
    t.string   "type",              limit: 255, default: "",      null: false
    t.string   "name",              limit: 255, default: "",      null: false
    t.string   "host",              limit: 255
    t.integer  "port"
    t.string   "account",           limit: 255
    t.string   "account_password",  limit: 255
    t.string   "base_dn",           limit: 255
    t.string   "attr_login",        limit: 255
    t.string   "attr_firstname",    limit: 255
    t.string   "attr_lastname",     limit: 255
    t.string   "attr_mail",         limit: 255
    t.boolean  "onthefly_register",             default: false,   null: false
    t.boolean  "tls",                           default: false,   null: false
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string   "ldap_filter",       limit: 255
    t.string   "attr_photo",        limit: 255
    t.string   "server_type",       limit: 255, default: "posix"
    t.string   "groups_base",       limit: 255
    t.boolean  "usergroup_sync",                default: true,    null: false
    t.boolean  "use_netgroups",                 default: false
  end

  create_table "bookmarks", force: :cascade do |t|
    t.string  "name",       limit: 255
    t.text    "query",      limit: 255
    t.string  "controller", limit: 255
    t.boolean "public",                 default: false, null: false
    t.integer "owner_id"
    t.string  "owner_type", limit: 255
  end

  add_index "bookmarks", ["controller"], name: "index_bookmarks_on_controller"
  add_index "bookmarks", ["name"], name: "index_bookmarks_on_name"
  add_index "bookmarks", ["owner_id", "owner_type"], name: "index_bookmarks_on_owner_id_and_owner_type"

  create_table "cached_user_roles", force: :cascade do |t|
    t.integer  "user_id",      null: false
    t.integer  "role_id",      null: false
    t.integer  "user_role_id", null: false
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  add_index "cached_user_roles", ["role_id"], name: "index_cached_user_roles_on_role_id"
  add_index "cached_user_roles", ["user_id"], name: "index_cached_user_roles_on_user_id"
  add_index "cached_user_roles", ["user_role_id"], name: "index_cached_user_roles_on_user_role_id"

  create_table "cached_usergroup_members", force: :cascade do |t|
    t.integer  "user_id"
    t.integer  "usergroup_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  add_index "cached_usergroup_members", ["user_id"], name: "index_cached_usergroup_members_on_user_id"
  add_index "cached_usergroup_members", ["usergroup_id"], name: "index_cached_usergroup_members_on_usergroup_id"

  create_table "compute_attributes", force: :cascade do |t|
    t.integer  "compute_profile_id"
    t.integer  "compute_resource_id"
    t.string   "name",                limit: 255
    t.text     "vm_attrs"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  add_index "compute_attributes", ["compute_profile_id"], name: "index_compute_attributes_on_compute_profile_id"
  add_index "compute_attributes", ["compute_resource_id"], name: "index_compute_attributes_on_compute_resource_id"

  create_table "compute_profiles", force: :cascade do |t|
    t.string   "name",       limit: 255
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "compute_resources", force: :cascade do |t|
    t.string   "name",            limit: 255
    t.text     "description",     limit: 255
    t.string   "url",             limit: 255
    t.string   "user",            limit: 255
    t.text     "password",        limit: 255
    t.string   "uuid",            limit: 255
    t.string   "type",            limit: 255
    t.datetime "created_at"
    t.datetime "updated_at"
    t.text     "attrs"
    t.boolean  "caching_enabled",             default: true
  end

  create_table "config_group_classes", force: :cascade do |t|
    t.integer  "puppetclass_id"
    t.integer  "config_group_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "config_groups", force: :cascade do |t|
    t.string   "name",       limit: 255
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "domains", force: :cascade do |t|
    t.string   "name",       limit: 255, default: "", null: false
    t.string   "fullname",   limit: 255
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer  "dns_id"
  end

  create_table "environment_classes", force: :cascade do |t|
    t.integer "puppetclass_id",            null: false
    t.integer "environment_id",            null: false
    t.integer "puppetclass_lookup_key_id"
  end

  add_index "environment_classes", ["environment_id"], name: "index_environment_classes_on_environment_id"
  add_index "environment_classes", ["puppetclass_id"], name: "index_environment_classes_on_puppetclass_id"

  create_table "environments", force: :cascade do |t|
    t.string   "name",       limit: 255, null: false
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "external_usergroups", force: :cascade do |t|
    t.string  "name",           limit: 255, null: false
    t.integer "auth_source_id",             null: false
    t.integer "usergroup_id",               null: false
  end

  add_index "external_usergroups", ["usergroup_id"], name: "index_external_usergroups_on_usergroup_id"

  create_table "fact_names", force: :cascade do |t|
    t.string   "name",       limit: 255,                      null: false
    t.datetime "updated_at"
    t.datetime "created_at"
    t.boolean  "compose",                default: false,      null: false
    t.string   "short_name", limit: 255
    t.string   "type",       limit: 255, default: "FactName"
    t.string   "ancestry",   limit: 255
  end

  add_index "fact_names", ["ancestry", "name"], name: "index_fact_names_on_ancestry_and_name"
  add_index "fact_names", ["ancestry"], name: "index_fact_names_on_ancestry"
  add_index "fact_names", ["name", "type"], name: "index_fact_names_on_name_and_type", unique: true

  create_table "fact_values", force: :cascade do |t|
    t.text     "value"
    t.integer  "fact_name_id", null: false
    t.integer  "host_id",      null: false
    t.datetime "updated_at"
    t.datetime "created_at"
  end

  add_index "fact_values", ["fact_name_id", "host_id"], name: "index_fact_values_on_fact_name_id_and_host_id", unique: true
  add_index "fact_values", ["fact_name_id"], name: "index_fact_values_on_fact_name_id"
  add_index "fact_values", ["host_id"], name: "index_fact_values_on_host_id"

  create_table "features", force: :cascade do |t|
    t.string   "name",       limit: 255
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "features_smart_proxies", id: false, force: :cascade do |t|
    t.integer "smart_proxy_id"
    t.integer "feature_id"
  end

  create_table "filterings", force: :cascade do |t|
    t.integer  "filter_id"
    t.integer  "permission_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  add_index "filterings", ["filter_id"], name: "index_filterings_on_filter_id"
  add_index "filterings", ["permission_id"], name: "index_filterings_on_permission_id"

  create_table "filters", force: :cascade do |t|
    t.text     "search"
    t.integer  "role_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.text     "taxonomy_search"
    t.boolean  "override",        default: false, null: false
  end

  create_table "host_classes", force: :cascade do |t|
    t.integer "puppetclass_id", null: false
    t.integer "host_id",        null: false
  end

  create_table "host_config_groups", force: :cascade do |t|
    t.integer  "config_group_id"
    t.integer  "host_id"
    t.string   "host_type",       limit: 255
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "host_status", force: :cascade do |t|
    t.string   "type",        limit: 255
    t.integer  "status",      limit: 5,   default: 0, null: false
    t.integer  "host_id",                             null: false
    t.datetime "reported_at",                         null: false
  end

  add_index "host_status", ["host_id"], name: "index_host_status_on_host_id"
  add_index "host_status", ["type", "host_id"], name: "index_host_status_on_type_and_host_id", unique: true

  create_table "hostgroup_classes", force: :cascade do |t|
    t.integer "hostgroup_id",   null: false
    t.integer "puppetclass_id", null: false
  end

  add_index "hostgroup_classes", ["hostgroup_id"], name: "index_hostgroup_classes_on_hostgroup_id"
  add_index "hostgroup_classes", ["puppetclass_id"], name: "index_hostgroup_classes_on_puppetclass_id"

  create_table "hostgroups", force: :cascade do |t|
    t.string   "name",                 limit: 255
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer  "environment_id"
    t.integer  "operatingsystem_id"
    t.integer  "architecture_id"
    t.integer  "medium_id"
    t.integer  "ptable_id"
    t.string   "root_pass",            limit: 255
    t.integer  "puppet_ca_proxy_id"
    t.boolean  "use_image"
    t.string   "image_file",           limit: 128
    t.string   "ancestry",             limit: 255
    t.text     "vm_defaults"
    t.integer  "subnet_id"
    t.integer  "domain_id"
    t.integer  "puppet_proxy_id"
    t.string   "title",                limit: 255
    t.integer  "realm_id"
    t.integer  "compute_profile_id"
    t.string   "grub_pass",            limit: 255, default: ""
    t.string   "lookup_value_matcher", limit: 255
    t.integer  "subnet6_id"
    t.string   "pxe_loader",           limit: 255
    t.text     "description"
  end

  add_index "hostgroups", ["ancestry"], name: "index_hostgroups_on_ancestry"
  add_index "hostgroups", ["compute_profile_id"], name: "index_hostgroups_on_compute_profile_id"

  create_table "hosts", force: :cascade do |t|
    t.string   "name",                 limit: 255,                 null: false
    t.datetime "last_compile"
    t.datetime "last_report"
    t.datetime "updated_at"
    t.datetime "created_at"
    t.string   "root_pass",            limit: 255
    t.integer  "architecture_id"
    t.integer  "operatingsystem_id"
    t.integer  "environment_id"
    t.integer  "ptable_id"
    t.integer  "medium_id"
    t.boolean  "build",                            default: false
    t.text     "comment"
    t.text     "disk"
    t.datetime "installed_at"
    t.integer  "model_id"
    t.integer  "hostgroup_id"
    t.integer  "owner_id"
    t.string   "owner_type",           limit: 255
    t.boolean  "enabled",                          default: true
    t.integer  "puppet_ca_proxy_id"
    t.boolean  "managed",                          default: false, null: false
    t.boolean  "use_image"
    t.string   "image_file",           limit: 128
    t.string   "uuid",                 limit: 255
    t.integer  "compute_resource_id"
    t.integer  "puppet_proxy_id"
    t.string   "certname",             limit: 255
    t.integer  "image_id"
    t.integer  "organization_id"
    t.integer  "location_id"
    t.string   "type",                 limit: 255
    t.string   "otp",                  limit: 255
    t.integer  "realm_id"
    t.integer  "compute_profile_id"
    t.string   "provision_method",     limit: 255
    t.string   "grub_pass",            limit: 255, default: ""
    t.integer  "global_status",                    default: 0,     null: false
    t.string   "lookup_value_matcher", limit: 255
    t.string   "pxe_loader",           limit: 255
  end

  add_index "hosts", ["architecture_id"], name: "host_arch_id_ix"
  add_index "hosts", ["certname"], name: "index_hosts_on_certname"
  add_index "hosts", ["compute_profile_id"], name: "index_hosts_on_compute_profile_id"
  add_index "hosts", ["environment_id"], name: "host_env_id_ix"
  add_index "hosts", ["hostgroup_id"], name: "host_group_id_ix"
  add_index "hosts", ["installed_at"], name: "index_hosts_on_installed_at"
  add_index "hosts", ["last_report"], name: "index_hosts_on_last_report"
  add_index "hosts", ["medium_id"], name: "host_medium_id_ix"
  add_index "hosts", ["name"], name: "index_hosts_on_name"
  add_index "hosts", ["operatingsystem_id"], name: "host_os_id_ix"
  add_index "hosts", ["type"], name: "index_hosts_on_type"

  create_table "images", force: :cascade do |t|
    t.integer  "operatingsystem_id"
    t.integer  "compute_resource_id"
    t.integer  "architecture_id"
    t.string   "uuid",                limit: 255
    t.string   "username",            limit: 255
    t.string   "name",                limit: 255
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string   "iam_role",            limit: 255
    t.boolean  "user_data",                       default: false
    t.string   "password",            limit: 255
  end

  create_table "key_pairs", force: :cascade do |t|
    t.text     "secret"
    t.integer  "compute_resource_id"
    t.string   "name",                limit: 255
    t.datetime "created_at"
    t.datetime "updated_at"
    t.text     "public"
  end

  create_table "locations_organizations", id: false, force: :cascade do |t|
    t.integer "location_id"
    t.integer "organization_id"
  end

  create_table "logs", force: :cascade do |t|
    t.integer  "source_id"
    t.integer  "message_id"
    t.integer  "report_id"
    t.integer  "level_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  add_index "logs", ["level_id"], name: "index_logs_on_level_id"
  add_index "logs", ["message_id"], name: "index_logs_on_message_id"
  add_index "logs", ["report_id"], name: "index_logs_on_report_id"
  add_index "logs", ["source_id"], name: "index_logs_on_source_id"

  create_table "lookup_keys", force: :cascade do |t|
    t.string   "key",              limit: 255
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer  "puppetclass_id"
    t.text     "default_value",    limit: 255
    t.text     "path",             limit: 255
    t.text     "description",      limit: 255
    t.string   "validator_type",   limit: 255
    t.string   "validator_rule",   limit: 255
    t.string   "key_type",         limit: 255
    t.boolean  "override",                     default: false
    t.boolean  "required",                     default: false
    t.boolean  "merge_overrides",              default: false, null: false
    t.boolean  "avoid_duplicates",             default: false, null: false
    t.boolean  "omit"
    t.string   "type",             limit: 255
    t.boolean  "merge_default",                default: false, null: false
    t.boolean  "hidden_value",                 default: false
  end

  add_index "lookup_keys", ["key"], name: "index_lookup_keys_on_key"
  add_index "lookup_keys", ["puppetclass_id"], name: "index_lookup_keys_on_puppetclass_id"
  add_index "lookup_keys", ["type"], name: "index_lookup_keys_on_type"

  create_table "lookup_values", force: :cascade do |t|
    t.string   "match",         limit: 255
    t.text     "value",         limit: 255
    t.integer  "lookup_key_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.boolean  "omit",                      default: false
  end

  add_index "lookup_values", ["match"], name: "index_lookup_values_on_match"

  create_table "mail_notifications", force: :cascade do |t|
    t.string   "name",              limit: 255
    t.text     "description",       limit: 255
    t.string   "mailer",            limit: 255
    t.string   "method",            limit: 255
    t.boolean  "subscriptable",                 default: true
    t.string   "default_interval",  limit: 255
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string   "subscription_type", limit: 255
    t.boolean  "queryable",                     default: false
    t.string   "type",              limit: 255
  end

  create_table "media", force: :cascade do |t|
    t.string   "name",        limit: 255, default: "", null: false
    t.string   "path",        limit: 255, default: "", null: false
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string   "media_path",  limit: 255
    t.string   "config_path", limit: 255
    t.string   "image_path",  limit: 255
    t.string   "os_family",   limit: 255
  end

  create_table "media_operatingsystems", id: false, force: :cascade do |t|
    t.integer "medium_id",          null: false
    t.integer "operatingsystem_id", null: false
  end

  create_table "messages", force: :cascade do |t|
    t.text   "value"
    t.string "digest", limit: 255
  end

  add_index "messages", ["digest"], name: "index_messages_on_digest"

  create_table "models", force: :cascade do |t|
    t.string   "name",           limit: 255, null: false
    t.text     "info"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string   "vendor_class",   limit: 255
    t.string   "hardware_model", limit: 255
  end

  create_table "nics", force: :cascade do |t|
    t.string   "mac",                limit: 255
    t.string   "ip",                 limit: 15
    t.string   "type",               limit: 255
    t.string   "name",               limit: 255
    t.integer  "host_id"
    t.integer  "subnet_id"
    t.integer  "domain_id"
    t.text     "attrs"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string   "provider",           limit: 255
    t.string   "username",           limit: 255
    t.string   "password",           limit: 255
    t.boolean  "virtual",                        default: false,        null: false
    t.boolean  "link",                           default: true,         null: false
    t.string   "identifier",         limit: 255
    t.string   "tag",                limit: 255, default: "",           null: false
    t.string   "attached_to",        limit: 255, default: "",           null: false
    t.boolean  "managed",                        default: true
    t.string   "mode",               limit: 255, default: "balance-rr", null: false
    t.string   "attached_devices",   limit: 255, default: "",           null: false
    t.string   "bond_options",       limit: 255, default: "",           null: false
    t.boolean  "primary",                        default: false
    t.boolean  "provision",                      default: false
    t.text     "compute_attributes"
    t.string   "ip6",                limit: 45
    t.integer  "subnet6_id"
  end

  add_index "nics", ["host_id"], name: "index_by_host"
  add_index "nics", ["ip"], name: "index_nics_on_ip"
  add_index "nics", ["ip6"], name: "index_nics_on_ip6"
  add_index "nics", ["type", "id"], name: "index_by_type_and_id"
  add_index "nics", ["type"], name: "index_by_type"

  create_table "notification_blueprints", force: :cascade do |t|
    t.string   "group"
    t.string   "level"
    t.string   "message"
    t.text     "name"
    t.integer  "expires_in"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.text     "actions"
  end

  add_index "notification_blueprints", ["group"], name: "index_notification_blueprints_on_group"

  create_table "notification_recipients", force: :cascade do |t|
    t.integer  "notification_id"
    t.integer  "user_id"
    t.boolean  "seen",            default: false
    t.datetime "created_at",                      null: false
    t.datetime "updated_at",                      null: false
  end

  add_index "notification_recipients", ["notification_id"], name: "index_notification_recipients_on_notification_id"
  add_index "notification_recipients", ["seen"], name: "index_notification_recipients_on_seen"
  add_index "notification_recipients", ["user_id", "notification_id"], name: "index_notification_recipients_on_user_id_and_notification_id"
  add_index "notification_recipients", ["user_id"], name: "index_notification_recipients_on_user_id"

  create_table "notifications", force: :cascade do |t|
    t.integer  "notification_blueprint_id", null: false
    t.integer  "user_id"
    t.string   "audience"
    t.datetime "expired_at"
    t.datetime "created_at",                null: false
    t.datetime "updated_at",                null: false
    t.integer  "subject_id"
    t.string   "subject_type"
    t.string   "message"
    t.text     "actions"
  end

  add_index "notifications", ["expired_at"], name: "index_notifications_on_expired_at"
  add_index "notifications", ["notification_blueprint_id"], name: "index_notifications_on_notification_blueprint_id"
  add_index "notifications", ["subject_type", "subject_id"], name: "index_notifications_on_subject_type_and_subject_id"
  add_index "notifications", ["user_id"], name: "index_notifications_on_user_id"

  create_table "operatingsystems", force: :cascade do |t|
    t.string   "major",         limit: 5,   default: "",       null: false
    t.string   "name",          limit: 255,                    null: false
    t.string   "minor",         limit: 16,  default: "",       null: false
    t.string   "nameindicator", limit: 3
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string   "release_name",  limit: 255
    t.string   "type",          limit: 255
    t.string   "description",   limit: 255
    t.string   "password_hash", limit: 255, default: "SHA256"
    t.string   "title",         limit: 255
  end

  add_index "operatingsystems", ["name", "major", "minor"], name: "index_operatingsystems_on_name_and_major_and_minor", unique: true
  add_index "operatingsystems", ["title"], name: "index_operatingsystems_on_title", unique: true
  add_index "operatingsystems", ["type"], name: "index_operatingsystems_on_type"

  create_table "operatingsystems_provisioning_templates", id: false, force: :cascade do |t|
    t.integer "provisioning_template_id", null: false
    t.integer "operatingsystem_id",       null: false
  end

  create_table "operatingsystems_ptables", id: false, force: :cascade do |t|
    t.integer "ptable_id",          null: false
    t.integer "operatingsystem_id", null: false
  end

  create_table "operatingsystems_puppetclasses", id: false, force: :cascade do |t|
    t.integer "puppetclass_id",     null: false
    t.integer "operatingsystem_id", null: false
  end

  create_table "os_default_templates", force: :cascade do |t|
    t.integer  "provisioning_template_id"
    t.integer  "template_kind_id"
    t.integer  "operatingsystem_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "parameters", force: :cascade do |t|
    t.string   "name",         limit: 255
    t.text     "value",        limit: 255
    t.integer  "reference_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string   "type",         limit: 255
    t.integer  "priority"
    t.boolean  "hidden_value",             default: false
  end

  add_index "parameters", ["reference_id", "type"], name: "index_parameters_on_reference_id_and_type"
  add_index "parameters", ["type", "reference_id", "name"], name: "index_parameters_on_type_and_reference_id_and_name", unique: true
  add_index "parameters", ["type"], name: "index_parameters_on_domain_id_and_type"
  add_index "parameters", ["type"], name: "index_parameters_on_hostgroup_id_and_type"
  add_index "parameters", ["type"], name: "index_parameters_on_type"

  create_table "permissions", force: :cascade do |t|
    t.string   "name",          limit: 255, null: false
    t.string   "resource_type", limit: 255
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  add_index "permissions", ["name", "resource_type"], name: "index_permissions_on_name_and_resource_type"
  add_index "permissions", ["name"], name: "index_permissions_on_name", unique: true

  create_table "puppetclasses", force: :cascade do |t|
    t.string   "name",       limit: 255
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  add_index "puppetclasses", ["name"], name: "index_puppetclasses_on_name"

  create_table "realms", force: :cascade do |t|
    t.string   "name",           limit: 255, default: "", null: false
    t.string   "realm_type",     limit: 255
    t.integer  "realm_proxy_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  add_index "realms", ["name"], name: "index_realms_on_name", unique: true

  create_table "reports", force: :cascade do |t|
    t.integer  "host_id",                                          null: false
    t.datetime "reported_at",                                      null: false
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer  "status",      limit: 8
    t.text     "metrics"
    t.string   "type",        limit: 255, default: "ConfigReport", null: false
  end

  add_index "reports", ["host_id", "type", "id"], name: "index_reports_on_host_id_and_type_and_id"
  add_index "reports", ["host_id"], name: "index_reports_on_host_id"
  add_index "reports", ["reported_at", "host_id", "type"], name: "index_reports_on_reported_at_and_host_id_and_type"
  add_index "reports", ["reported_at", "host_id"], name: "index_reports_on_reported_at_and_host_id"
  add_index "reports", ["reported_at"], name: "index_reports_on_reported_at"
  add_index "reports", ["status"], name: "index_reports_on_status"
  add_index "reports", ["type", "host_id"], name: "index_reports_on_type_and_host_id"
  add_index "reports", ["type"], name: "index_reports_on_type"

  create_table "roles", force: :cascade do |t|
    t.string  "name",           limit: 255
    t.integer "builtin",                    default: 0
    t.text    "description"
    t.string  "origin"
    t.integer "cloned_from_id"
  end

  create_table "sessions", force: :cascade do |t|
    t.string   "session_id", limit: 255, null: false
    t.text     "data"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  add_index "sessions", ["session_id"], name: "index_sessions_on_session_id"
  add_index "sessions", ["updated_at"], name: "index_sessions_on_updated_at"

  create_table "settings", force: :cascade do |t|
    t.string   "name",          limit: 255
    t.text     "value"
    t.text     "description"
    t.string   "category",      limit: 255
    t.string   "settings_type", limit: 255
    t.text     "default",                                   null: false
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string   "full_name",     limit: 255
    t.boolean  "encrypted",                 default: false, null: false
  end

  add_index "settings", ["category"], name: "index_settings_on_category"
  add_index "settings", ["name"], name: "index_settings_on_name", unique: true

  create_table "smart_proxies", force: :cascade do |t|
    t.string   "name",         limit: 255
    t.string   "url",          limit: 255
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string   "expired_logs", limit: 255, default: "0"
  end

  create_table "sources", force: :cascade do |t|
    t.text   "value"
    t.string "digest", limit: 255
  end

  add_index "sources", ["digest"], name: "index_sources_on_digest"

  create_table "ssh_keys", force: :cascade do |t|
    t.string   "name",        limit: 255
    t.text     "key"
    t.string   "fingerprint"
    t.integer  "user_id"
    t.integer  "length"
    t.datetime "created_at",              null: false
    t.datetime "updated_at",              null: false
  end

  add_index "ssh_keys", ["user_id"], name: "index_ssh_keys_on_user_id"

  create_table "subnet_domains", force: :cascade do |t|
    t.integer  "domain_id",  null: false
    t.integer  "subnet_id",  null: false
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  add_index "subnet_domains", ["subnet_id", "domain_id"], name: "index_subnet_domains_on_subnet_id_and_domain_id", unique: true

  create_table "subnets", force: :cascade do |t|
    t.string   "network",       limit: 45
    t.string   "mask",          limit: 45
    t.integer  "priority"
    t.text     "name"
    t.string   "vlanid",        limit: 10
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer  "dhcp_id"
    t.integer  "tftp_id"
    t.string   "gateway",       limit: 45
    t.string   "dns_primary",   limit: 45
    t.string   "dns_secondary", limit: 45
    t.string   "from",          limit: 45
    t.string   "to",            limit: 45
    t.integer  "dns_id"
    t.string   "boot_mode",     limit: 255, default: "DHCP",         null: false
    t.string   "ipam",          limit: 255, default: "None",         null: false
    t.string   "type",                      default: "Subnet::Ipv4", null: false
    t.text     "description"
  end

  add_index "subnets", ["type"], name: "index_subnets_on_type"

  create_table "taxable_taxonomies", force: :cascade do |t|
    t.integer  "taxonomy_id"
    t.integer  "taxable_id"
    t.string   "taxable_type", limit: 255
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  add_index "taxable_taxonomies", ["taxable_id", "taxable_type", "taxonomy_id"], name: "taxable_index"
  add_index "taxable_taxonomies", ["taxable_id", "taxable_type"], name: "index_taxable_taxonomies_on_taxable_id_and_taxable_type"
  add_index "taxable_taxonomies", ["taxonomy_id"], name: "index_taxable_taxonomies_on_taxonomy_id"

  create_table "taxonomies", force: :cascade do |t|
    t.string   "name",         limit: 255
    t.string   "type",         limit: 255
    t.datetime "created_at"
    t.datetime "updated_at"
    t.text     "ignore_types"
    t.string   "ancestry",     limit: 255
    t.string   "title",        limit: 255
    t.text     "description"
  end

  add_index "taxonomies", ["ancestry"], name: "index_taxonomies_on_ancestry"

  create_table "template_combinations", force: :cascade do |t|
    t.integer  "provisioning_template_id"
    t.integer  "hostgroup_id"
    t.integer  "environment_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "template_kinds", force: :cascade do |t|
    t.string   "name",       limit: 255
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "templates", force: :cascade do |t|
    t.string   "name",             limit: 255
    t.text     "template"
    t.boolean  "snippet",                      default: false, null: false
    t.integer  "template_kind_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.boolean  "locked",                       default: false
    t.boolean  "default",                      default: false
    t.string   "vendor",           limit: 255
    t.string   "type",             limit: 255
    t.string   "os_family",        limit: 255
  end

  create_table "tokens", force: :cascade do |t|
    t.string   "value",   limit: 255
    t.datetime "expires"
    t.integer  "host_id"
  end

  add_index "tokens", ["host_id"], name: "index_tokens_on_host_id", unique: true
  add_index "tokens", ["value"], name: "index_tokens_on_value"

  create_table "trend_counters", force: :cascade do |t|
    t.integer  "trend_id"
    t.integer  "count"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.datetime "interval_start"
    t.datetime "interval_end"
  end

  add_index "trend_counters", ["trend_id"], name: "index_trend_counters_on_trend_id"

  create_table "trends", force: :cascade do |t|
    t.string   "trendable_type", limit: 255
    t.integer  "trendable_id"
    t.string   "name",           limit: 255
    t.string   "type",           limit: 255
    t.string   "fact_value",     limit: 255
    t.string   "fact_name",      limit: 255
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  add_index "trends", ["fact_value"], name: "index_trends_on_fact_value"
  add_index "trends", ["trendable_type", "trendable_id"], name: "index_trends_on_trendable_type_and_trendable_id"
  add_index "trends", ["type"], name: "index_trends_on_type"

  create_table "user_mail_notifications", force: :cascade do |t|
    t.integer  "user_id"
    t.integer  "mail_notification_id"
    t.datetime "last_sent"
    t.string   "interval",             limit: 255
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string   "mail_query",           limit: 255
  end

  create_table "user_roles", force: :cascade do |t|
    t.integer "owner_id",                                null: false
    t.integer "role_id"
    t.string  "owner_type", limit: 255, default: "User", null: false
  end

  add_index "user_roles", ["owner_id", "owner_type"], name: "index_user_roles_on_owner_id_and_owner_type"
  add_index "user_roles", ["owner_id"], name: "index_user_roles_on_owner_id"
  add_index "user_roles", ["owner_type"], name: "index_user_roles_on_owner_type"

  create_table "usergroup_members", force: :cascade do |t|
    t.integer "member_id"
    t.string  "member_type"
    t.integer "usergroup_id"
  end

  create_table "usergroups", force: :cascade do |t|
    t.string   "name",       limit: 255,                 null: false
    t.datetime "created_at"
    t.datetime "updated_at"
    t.boolean  "admin",                  default: false, null: false
  end

  create_table "users", force: :cascade do |t|
    t.string   "login",                   limit: 255
    t.string   "firstname",               limit: 255
    t.string   "lastname",                limit: 255
    t.string   "mail",                    limit: 255
    t.boolean  "admin",                               default: false, null: false
    t.datetime "last_login_on"
    t.integer  "auth_source_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string   "password_hash",           limit: 128
    t.string   "password_salt",           limit: 128
    t.string   "locale",                  limit: 5
    t.string   "avatar_hash",             limit: 128
    t.integer  "default_organization_id"
    t.integer  "default_location_id"
    t.string   "lower_login",             limit: 255
    t.boolean  "mail_enabled",                        default: true
    t.string   "timezone",                limit: 255
    t.text     "description"
  end

  add_index "users", ["lower_login"], name: "index_users_on_lower_login", unique: true

  create_table "widgets", force: :cascade do |t|
    t.integer  "user_id"
    t.string   "template",   limit: 255,             null: false
    t.string   "name",       limit: 255,             null: false
    t.text     "data"
    t.integer  "sizex",                  default: 4
    t.integer  "sizey",                  default: 1
    t.integer  "col",                    default: 1
    t.integer  "row",                    default: 1
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  add_index "widgets", ["user_id"], name: "index_widgets_on_user_id"

end
